Reenviar log
curl --request POST \
--url https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"idEntrega": "3f2b8c1e-6a4d-4f0b-9c2e-1d7a5b8e9f10",
"idEndpoint": "8d1f6c2a-3b4e-4a5f-9e6d-7c8b9a0f1e2d",
"tipoDoEvento": "compras.pedido-de-compra.processado",
"url": "https://integracao.suaempresa.com.br/webhooks/gestio",
"situacao": "Pendente",
"tentativas": 0,
"ultimoStatusHttp": null,
"ultimoErro": null,
"duracaoUltimaTentativaMs": null,
"ultimaTentativaEm": null,
"proximaTentativaEm": null,
"criadoEm": "2026-11-06T14:30:00",
"entregueEm": null
}
}{
"success": false,
"errors": [
{
"key": null,
"value": "A URL do webhook deve ser uma URL https válida.",
"dateOccurred": "2026-11-06T14:00:00"
}
]
}Logs
Reenviar log
Reenvia uma entrega em qualquer situação (Pendente, Entregue ou Falha), mantendo o mesmo idEntrega e o mesmo envelope. É enviada para a URL gravada na entrega, com o token atual do webhook, e volta para Pendente com tentativas = 0.
O reenvio é assíncrono: a resposta confirma o enfileiramento. Acompanhe o resultado em GET /v2/webhooks/logs/{idLog}. O webhook precisa estar ativo.
POST
/
v2
/
webhooks
/
logs
/
{idLog}
/
reenviar
Reenviar log
curl --request POST \
--url https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gestio.com.br/v2/webhooks/logs/{idLog}/reenviar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"idEntrega": "3f2b8c1e-6a4d-4f0b-9c2e-1d7a5b8e9f10",
"idEndpoint": "8d1f6c2a-3b4e-4a5f-9e6d-7c8b9a0f1e2d",
"tipoDoEvento": "compras.pedido-de-compra.processado",
"url": "https://integracao.suaempresa.com.br/webhooks/gestio",
"situacao": "Pendente",
"tentativas": 0,
"ultimoStatusHttp": null,
"ultimoErro": null,
"duracaoUltimaTentativaMs": null,
"ultimaTentativaEm": null,
"proximaTentativaEm": null,
"criadoEm": "2026-11-06T14:30:00",
"entregueEm": null
}
}{
"success": false,
"errors": [
{
"key": null,
"value": "A URL do webhook deve ser uma URL https válida.",
"dateOccurred": "2026-11-06T14:00:00"
}
]
}